add_library(Base
    DataStructure.h DataStructure.cpp
    HttpSession.h HttpSession.cpp
)

get_filename_component(PARENT_DIR ${CMAKE_CURRENT_SOURCE_DIR} DIRECTORY)
target_include_directories(Base
    INTERFACE  ${PARENT_DIR}
)

target_link_libraries(Base
    PRIVATE OpenSSL::Crypto
    PUBLIC Kylin::Router
    PUBLIC Kylin::Core
)